Groovy Documentation

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class LoadCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.LoadCommand

    class LoadCommand
    extends CommandSupport

The 'load' command.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`LoadCommand(Shell shell)`

Method Summary
`protected java.util.List` | `createCompletors()`
`java.lang.Object` | `execute(java.util.List args)`
`void` | `load(java.net.URL url)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Constructor Detail

### LoadCommand

    LoadCommand(Shell shell)

Method Detail

### createCompletors

    protected java.util.List createCompletors()

### execute

    java.lang.Object execute(java.util.List args)

### load

    void load(java.net.URL url)

Groovy Documentation